---
updatedAt: 2025-06-02T20:50:10.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/v4.0/llms.txt
---

# getCompanyDestinations

The method will give you a list of destinations served by the airline in question.

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        companycode
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        The companycode returned from getAirlines
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

> 🚧 Important
>
> CompanyID integer was replaced. Companycode can be requested at: <http://support.aerocrs.com>

## Response

The method will response with the list of destinations for a specific airline requested

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        destinations
      </td>

      <td>
        Element
      </td>

      <td>
        The following elements are within `<destination>` which represents a destination within `<destinations>`
      </td>
    </tr>

    <tr>
      <td>
        destination
      </td>

      <td>
        Element
      </td>

      <td>
        The following parameters are within destination
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        String
      </td>

      <td>
        Destination name
      </td>
    </tr>

    <tr>
      <td>
        id
      </td>

      <td>
        Number
      </td>

      <td>
        Destination number to be used in the form
      </td>
    </tr>

    <tr>
      <td>
        code
      </td>

      <td>
        String
      </td>

      <td>
        Destination code
      </td>
    </tr>

    <tr>
      <td>
        iatacode
      </td>

      <td>
        String
      </td>

      <td>
        IATA code (if exists)
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs",
    "version": "4.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v4"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/getCompanyDestinations": {
      "post": {
        "summary": "getCompanyDestinations",
        "description": "The method will give you a list of destinations served by the airline in question.",
        "operationId": "getcompanydestinations",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "companycode": "NOR"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n\t\"aerocrs\": {\n\t\t\"success\": true,\n\t\t\"destinations\": {\n\t\t\t\"destination\": [{\n\t\t\t\t\t\"name\": \"Dar es Salaam\",\n\t\t\t\t\t\"id\": 2988,\n\t\t\t\t\t\"code\": \"DAR\",\n\t\t\t\t\t\"iatacode\": \"DAR\"\n\t\t\t\t},\n\t\t\t\t{\n\t\t\t\t\t\"name\": \"Zanzibar\",\n\t\t\t\t\t\"id\": 2925,\n\t\t\t\t\t\"code\": \"ZNZ\",\n\t\t\t\t\t\"iatacode\": \"ZNZ\"\n\t\t\t\t}\n\t\t\t]\n\t\t}\n\t}\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "destinations": {
                          "type": "object",
                          "properties": {
                            "destination": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "example": "Dar es Salaam"
                                  },
                                  "id": {
                                    "type": "integer",
                                    "example": 2988,
                                    "default": 0
                                  },
                                  "code": {
                                    "type": "string",
                                    "example": "DAR"
                                  },
                                  "iatacode": {
                                    "type": "string",
                                    "example": "DAR"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "XML": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <success>true</success>\n    <destinations>\n        <destination>\n            <name>Dar es Salaam</name>\n            <id>2988</id>\n            <code>DAR</code>\n            <iatacode>DAR</iatacode>\n        </destination>\n        <destination>\n            <name>Zanzibar</name>\n            <id>2925</id>\n            <code>ZNZ</code>\n            <iatacode>ZNZ</iatacode>\n        </destination>\n    </destinations>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <parms>\n        <companyid>20</companyid>\n    </parms>\n</aerocrs>"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```